package com.hfkj.mqtopic;

import lombok.Getter;

/**
 * 订单主题
 * @author hurui
 */
@Getter
public enum OrderTopic {
    // 订单主题
    ORDER_TOPIC("order-topic", "订单主题"),
    // 订单取消
    ORDER_TOPIC_CANCEL(ORDER_TOPIC.getTopic() + ":cancel", "订单取消"),
    // 订单退款成功业务
    ORDER_TOPIC_REFUND_SUCCESS(ORDER_TOPIC.getTopic() + ":refund-success", "订单退款成功业务"),
    // 订单分账业务
    ORDER_TOPIC_PROFIT_SHARING(ORDER_TOPIC.getTopic() + ":profit-sharing", "订单分账业务"),
    ;

    private String topic;
    private String name;

    OrderTopic(String topic, String name) {
        this.topic = topic;
        this.name = name;
    }
}
